<%--
/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<liferay-portlet:actionURL portletConfiguration="true" var="configurationURL" />

<div class="contacts-portlet">
	<aui:form action="<%= configurationURL %>" method="post" name="fm">
		<aui:input name="<%= Constants.CMD %>" type="hidden" value="<%= Constants.UPDATE %>" />

		<liferay-ui:panel collapsible="<%= true %>" extended="<%= true %>" persistState="<%= true %>" title="user-profile">
			<aui:select label="display-style" name="preferences--displayStyle--">
				<aui:option label="<%= ContactsConstants.DISPLAY_STYLE_FULL_LABEL %>" selected="<%= displayStyle == ContactsConstants.DISPLAY_STYLE_FULL %>" value="<%= ContactsConstants.DISPLAY_STYLE_FULL %>" />
				<aui:option label="<%= ContactsConstants.DISPLAY_STYLE_BASIC_LABEL %>" selected="<%= displayStyle == ContactsConstants.DISPLAY_STYLE_BASIC %>" value="<%= ContactsConstants.DISPLAY_STYLE_BASIC %>" />
				<aui:option label="<%= ContactsConstants.DISPLAY_STYLE_DETAIL_LABEL %>" selected="<%= displayStyle == ContactsConstants.DISPLAY_STYLE_DETAIL %>" value="<%= ContactsConstants.DISPLAY_STYLE_DETAIL %>" />
			</aui:select>

			<aui:field-wrapper cssClass="lfr-user-profile-preferences">
				<aui:column>
					<aui:input name="preferences--showAdditionalEmailAddresses--" type="checkbox" value="<%= showAdditionalEmailAddresses %>" />

					<aui:input name="preferences--showAddresses--" type="checkbox" value="<%= showAddresses %>" />

					<aui:input name="preferences--showComments--" type="checkbox" value="<%= showComments %>" />

					<aui:input name="preferences--showInstantMessenger--" type="checkbox" value="<%= showInstantMessenger %>" />

					<aui:input name="preferences--showPhones--" type="checkbox" value="<%= showPhones %>" />

					<aui:input label="show-sms" name="preferences--showSMS--" type="checkbox" value="<%= showSMS %>" />
				</aui:column>

				<aui:column>
					<aui:input name="preferences--showSocialNetwork--" type="checkbox" value="<%= showSocialNetwork %>" />

					<aui:input label="show-icon" name="preferences--showIcon--" type="checkbox" value="<%= showIcon %>" />

					<aui:input name="preferences--showRecentActivity--" type="checkbox" value="<%= showRecentActivity %>" />

					<aui:input label="show-sites" name="preferences--showSites--" type="checkbox" value="<%= showSites %>" />

					<aui:input name="preferences--showWebsites--" type="checkbox" value="<%= showWebsites %>" />
				</aui:column>
			</aui:field-wrapper>
		</liferay-ui:panel>

		<aui:button type="submit" />
	</aui:form>
</div>

<aui:script use="aui-base">
	var showUserInfoCheckbox = A.one('#<portlet:namespace />showUsersInformationCheckbox');

	var extraFields = A.one('.lfr-user-profile-preferences');

	var toggleExtraFields = function() {
		if (showUserInfoCheckbox.attr('checked')) {
			extraFields.show();
		}
		else {
			extraFields.hide();
		}
	}

	showUserInfoCheckbox.on('change', toggleExtraFields)

	toggleExtraFields();
</aui:script>