<%--
/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
List<User> users = (List<User>)request.getAttribute(WebKeys.CONTACTS_USERS);

PortletURL portletURL = (PortletURL)request.getAttribute(WebKeys.CONTACTS_URL);
%>

<c:if test="<%= users != null %>">
	<div class="lfr-user-grid-container">
		<ul class="lfr-user-grid">

			<%
			for (User user2 : users) {
				portletURL.setParameter("userId", String.valueOf(user2.getUserId()));
			%>

				<li class="lfr-user-grid-item">
					<div class="lfr-user-thumb">
						<a href="<%= portletURL.toString() %>"><img alt="<%= HtmlUtil.escape(user2.getFullName()) %>" src="<%= user2.getPortraitURL(themeDisplay) %>" /></a>
					</div>

					<div class="lfr-user-info">
						<div class="lfr-user-data-name">
							<%= HtmlUtil.escape(user2.getFullName()) %>
						</div>

						<div class="lfr-user-data-job-title">
							<%= HtmlUtil.escape(user2.getJobTitle()) %>
						</div>

						<div class="lfr-user-data-extra">
							<span class="lfr-user-data-email">
								<%= HtmlUtil.escape(user2.getEmailAddress()) %>
							</span>
						</div>
					</div>
				</li>

			<%
			}
			%>

		</ul>
	</div>
</c:if>