<%--
/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
Group group = themeDisplay.getScopeGroup();

PortletURL portletURL = renderResponse.createRenderURL();

portletURL.setParameter("jspPage", "/members/view.jsp");
%>

<c:choose>
	<c:when test="<%= group.isRegularSite() %>">

		<%
		SearchContainer searchContainer = new SearchContainer(renderRequest, null, null, SearchContainer.DEFAULT_CUR_PARAM, 20, portletURL, null, null);

		searchContainer.setDeltaConfigurable(true);

		String keywords = ParamUtil.getString(request, "keywords");
		%>

		<liferay-portlet:renderURL varImpl="searchURL">
			<portlet:param name="jspPage" value="/members/view.jsp" />
		</liferay-portlet:renderURL>

		<aui:form action="<%= searchURL %>" method="get" name="fm">
			<liferay-portlet:renderURLParams varImpl="searchURL" />
			<aui:input inlineField="<%= true %>" id="keywords" label="" name="keywords" size="30" title="search-users" type="text" />

			<aui:button type="submit" value="search" />
		</aui:form>

		<div class="members-container">

		<%
		LinkedHashMap param = new LinkedHashMap();

		param.put("usersGroups", new Long(group.getGroupId()));

		List<User> users = UserLocalServiceUtil.search(company.getCompanyId(), keywords, WorkflowConstants.STATUS_APPROVED, param, searchContainer.getStart(), searchContainer.getEnd(), new UserLastNameComparator(true));

		searchContainer.setResults(users);

		int total= UserLocalServiceUtil.searchCount(company.getCompanyId(), keywords, WorkflowConstants.STATUS_APPROVED, param);

		searchContainer.setTotal(total);

		for (User user2 : users) {
			PortletURL viewUserURL = renderResponse.createRenderURL();

			viewUserURL.setParameter("jspPage", "/members/view_user.jsp");
			viewUserURL.setParameter("backURL", currentURL);
			viewUserURL.setParameter("userId", String.valueOf(user2.getUserId()));
		%>

			<div class="lfr-members-grid-item">
				<div class="lfr-members-thumb">
					<a href="<%= viewUserURL.toString() %>"><img alt="<%= HtmlUtil.escape(user2.getFullName()) %>" src="<%= user2.getPortraitURL(themeDisplay) %>" style="" /></a>
				</div>

				<div class="lfr-user-data-info">
					<div class="lfr-user-data-name">
						<a href="<%= viewUserURL.toString() %>"><%= HtmlUtil.escape(user2.getFullName()) %></a>
					</div>

					<div class="lfr-user-data-job-title">
						<%= HtmlUtil.escape(user2.getJobTitle()) %>
					</div>

					<div class="lfr-user-data-extra">
						<%= HtmlUtil.escape(user2.getEmailAddress()) %>
					</div>
				</div>
			</div>

		<%
		}
		%>

		</div>

		<liferay-ui:search-paginator searchContainer="<%= searchContainer %>" />
	</c:when>
	<c:otherwise>
		<div class="portlet-msg-info">
			<liferay-ui:message key="this-application-will-only-function-when-placed-on-a-site-page" />
		</div>
	</c:otherwise>
</c:choose>